body{
    overflow: hidden;
    background: linear-gradient(#f4f4ed, white);
}
.container{
    width: 95%;
    height: 100vh;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.btns-number{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1px;
}
.calculator{
    width: 23rem;
    margin: auto;
    border-radius: 2px;
    background: #f2f2f2;
    padding: 15px 15px 20px 20px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
}
#userInput{
    box-sizing: border-box;
    width: 100%;
    padding: 25px 5px;
    font-size: 1.5rem;
    background-color: whitesmoke;
    text-align: right;
    direction: ltr;
    outline: none;
    border: none;
}
.btn, .btnEqual{
    height: 2.8rem;
    border-radius: 1px;
    font-size: 1.5rem;
    border: none;
    outline: none;
    margin-top: 3px;
    background-color: whitesmoke;
}
.btn:hover, .btnEqual:hover{
background-color: rgba(128, 128, 128, 0.1);
}

.operador{
    background-color: #bc58ff;
}
.operador:hover{
    background-color: #9900ff;
}
.btnEqual{
    width: 400%;
}